Kerbal Space Program - Bug #2328

Ladders are only tweakable right after placed
04/02/2014 04:41 PM - Kasuha

Status: Closed Start date: 04/02/2014
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.23.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When a ladder is placed on a ship, it can be tweaked to extend/retract and selected state is correctly saved with the ship in craft file.
When the ship is restored from the craft file, ladders are no longer tweakable. The menu opens after right click but clicking on the
extend/retract button does not change state of the ladder.

Reproduction example: in VAB, start with Mk1-2 command pod and place Telus-LV ladder anywhere on it. Tweak it to extend.
Save the ship.

Load the ship from the save.

Right-click on the ladder and press the Retract button.

The ladder no longer retracts.

Structure of the ship or type of ladder used is irrelevant.

The only workaround to toggle initial state of the ladder is to delete the ladder and place a new one. All newly placed ladders are
tweakable while all ladders loaded from the craft file don't work.

History

#1 - 04/02/2014 08:48 PM - Claw
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| was able to confirm this with both the Telus and Telus-LV.

Additionally, ALT-Left Click copying resulted in ladders that were also untweakable.
#2 - 04/03/2014 02:54 AM - Kerolyov

- Platform Any added
- Platform deleted (Windows)

#3 - 04/03/2014 02:55 AM - Kerolyov

- Severity changed from Normal to Low

#5 - 02/03/2016 09:46 AM - Kasuha

Issue resolved in 1.0.5

#6 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 08/09/2016 10:39 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
